from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()
    
setup(
    name="FastGenAPI",
    version="0.1.1",
    packages=find_packages(),
    install_requires=[
        "aiocache==0.12.3",
        "aioredis==1.3.1",
        "alembic==1.13.3",
        "annotated-types==0.7.0",
        "anyio==4.6.0",
        "asgiref==3.8.1",
        "async-timeout==4.0.3",
        "Authlib==1.3.2",
        "backoff==2.2.1",
        "bcrypt==3.2.0",
        "certifi==2024.8.30",
        "cffi==1.17.1",
        "charset-normalizer==3.4.0",
        "click==8.1.7",
        "colorama==0.4.6",
        "cryptography==43.0.1",
        "Deprecated==1.2.14",
        "dnspython==2.7.0",
        "ecdsa==0.19.0",
        "email_validator==2.2.0",
        "eralchemy==1.5.0",
        "fastapi==0.115.0",
        "fastapi-cli==0.0.5",
        "fastapi-limiter==0.1.6",
        "googleapis-common-protos==1.65.0",
        "greenlet==3.1.1",
        "grpcio==1.66.2",
        "h11==0.14.0",
        "hiredis==3.0.0",
        "httpcore==1.0.6",
        "httptools==0.6.1",
        "httpx==0.27.2",
        "hyperdx-opentelemetry==0.1.0",
        "idna==3.10",
        "importlib-metadata==6.11.0",
        "importlib_resources==6.4.5",
        "iniconfig==2.0.0",
        "itsdangerous==2.2.0",
        "Jinja2==3.1.4",
        "limits==3.13.0",
        "Mako==1.3.5",
        "markdown-it-py==3.0.0",
        "MarkupSafe==2.1.5",
        "mdurl==0.1.2",
        "opentelemetry-api==1.27.0",
        "opentelemetry-exporter-otlp==1.22.0",
        "opentelemetry-exporter-otlp-proto-common==1.22.0",
        "opentelemetry-exporter-otlp-proto-grpc==1.22.0",
        "opentelemetry-exporter-otlp-proto-http==1.22.0",
        "opentelemetry-instrumentation==0.48b0",
        "opentelemetry-instrumentation-asgi==0.48b0",
        "opentelemetry-instrumentation-fastapi==0.48b0",
        "opentelemetry-proto==1.22.0",
        "opentelemetry-sdk==1.22.0",
        "opentelemetry-semantic-conventions==0.48b0",
        "opentelemetry-util-http==0.48b0",
        "orjson==3.10.7",
        "packaging==24.1",
        "passlib==1.7.4",
        "pluggy==1.5.0",
        "protobuf==4.25.5",
        "psycopg2-binary==2.9.9",
        "pyasn1==0.6.1",
        "pycparser==2.22",
        "pydantic==2.9.2",
        "pydantic-extra-types==2.9.0",
        "pydantic-settings==2.5.2",
        "pydantic_core==2.23.4",
        "Pygments==2.18.0",
        "PyJWT==2.9.0",
        "pytest==8.3.3",
        "python-decouple==3.8",
        "python-dotenv==1.0.1",
        "python-jose==3.3.0",
        "python-multipart==0.0.12",
        "PyYAML==6.0.2",
        "redis==5.1.1",
        "requests==2.32.3",
        "rich==13.9.2",
        "rsa==4.9",
        "sentry-sdk==2.16.0",
        "setuptools==75.1.0",
        "shellingham==1.5.4",
        "six==1.16.0",
        "slowapi==0.1.9",
        "sniffio==1.3.1",
        "SQLAlchemy==2.0.35",
        "starlette==0.38.6",
        "typer==0.12.5",
        "typing_extensions==4.12.2",
        "ujson==5.10.0",
        "urllib3==2.2.3",
        "uvicorn==0.31.0",
        "watchfiles==0.24.0",
        "websockets==13.1",
        "wrapt==1.16.0",
        "zipp==3.20.2",
    ],
    entry_points={
        "console_scripts": [
            "manage=manage:app", 
        ],
    },
    author="Umar Javed",
    description="A FastAPI-based application for dynamic API generation, Db schema visualization, UML ERD class Diagrams generation and more.",
    url="https://github.com/iamumarjaved/FastGenAPI",  
    classifiers=[
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.9",
)
